=== debian/changelog ===
ros-indigo-rail-pick-and-place-tools (1.1.9-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- David Kent <dekent@gatech.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.8-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.7-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.6-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 05 May 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.5-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.4-0trusty) trusty; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.3-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Tue, 14 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.2-0trusty) trusty; urgency=high

  * docs added for rail_pick_and_place_tools
  * splash screen added
  * new metric trainier
  * graph search used
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.1-0trusty) trusty; urgency=high

  * refactor of RViz GUIs
  * cleanup of grasp collection panel
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.1.0-0trusty) trusty; urgency=high

  * new launch files
  * grasp model retriever added
  * travis fix
  * travis fix
  * Merge branch 'develop' of github.com:WPI-RAIL/rail_pick_and_place into develop
  * major refactor of model generation
  * Buttons should now correctly handle the case of an unconnected action client - server pair
  * Added confirmation dialog for model removal
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.4-0trusty) trusty; urgency=high

  * removed old recognize actions
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.3-0trusty) trusty; urgency=high

  * starting to cleanup model generator
  * refactor of point cloud recognizer
  * Contributors: Russell Toris

 -- David Kent <davidkent@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Mon, 30 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.1-0trusty) trusty; urgency=high

  * Label change
  * installs all correct files
  * typo in install fix
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (1.0.0-0trusty) trusty; urgency=high

  * Moved actions from recognition to msgs
  * edits
  * Updated vision rviz panel to use the new recognize all action
  * Added a recognition listener that allows for shared recognition of a list of detected objects
  * Added refresh button to the model generation panel
  * Removed some unused stuff from recognition
  * Updates to rviz panels
  * Switched registration to use the graspdb, fixed point cloud selection in grasp collector
  * Added a vision panel that can handle segmentation and recognition, minor documentation updates to other panels
  * Moved rviz panels to rail_pick_and_place_tools, added an rviz panel for grasp collection
  * Contributors: David Kent, Russell Toris

 -- David Kent <davidkent@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-rail-pick-and-place-tools (0.0.2-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 18 Feb 2015 05:00:00 -0000

ros-indigo-rail-pick-and-place-tools (0.0.1-0trusty) trusty; urgency=high



 -- David Kent <davidkent@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000
